@import "@/assets/scss/global";
.modal-container {
    [class~="rs-modal-content"]{
        border-radius: 15px;
        background: #FFF;
        box-shadow: 0px 4px 4px 0px rgba(0, 0, 0, 0.25);
        padding: 20px 20px 30px 20px;

        max-width: 755px;
        width: calc(100% - 20px);
        max-height: 600px;
        //height: calc(100% - 20px);

        @include tabletScreen {
            max-height: 468px;
        }
    }

    [class~="rs-modal-body"] {
        margin: 0;
        max-height: unset !important;
    }
    .content-modal {
        display: flex;
        flex-direction: column;
        gap: 16px;

        .title-modal {
            display: flex;
            flex-direction: row;

            span {
                flex: 1 0 0;
                color: #202226;
                font-size: 20px;
                font-weight: 600;
                line-height: 30px;
            }

            div {
                height: 32px;
                width: 32px;
                display: flex;
                justify-content: center;
                align-items: center;

                svg {
                    cursor: pointer;
                }
            }
        }

        span {
            color: #444;
            font-size: 14px;
            font-weight: 500;
            line-height: 17px;
        }

        .table-account {
            width: 100%;
            overflow: auto;
            border-radius: 12px;
            box-shadow: 0 4px 12px 0 rgba(0, 0, 0, 0.10);

            table {
                width: 100%;
                min-width: 560px;
                table-layout: fixed;
                overflow: hidden;
                thead {
                    tr {
                        background: #F9E5D7;
                        height: 44px;

                        th {
                            color: #8B5252;
                            font-size: 14px;
                            font-weight: 700;
                            line-height: 20px;
                        }
                    }
                }
                tbody {
                    tr {
                        height: 55px;
                        background: #FFF;

                        &:nth-child(2n) {
                            background: #F4F7FC;
                        }

                        td {
                            span {
                                color: #444;
                                font-size: 14px;
                                font-weight: 500;
                                line-height: 17px;
                                display: block;
                                white-space: nowrap;
                                text-overflow: ellipsis;
                                overflow: hidden;
                            }
                        }
                    }
                }
                thead, tbody {
                    tr {
                        th, td {
                            padding: 0 10px;
                           &:nth-child(1) {
                               width: 60px;
                           }
                            &:nth-child(2) {
                                width: calc((70% - 180px));
                            }
                            &:nth-child(3) {
                                width: 120px;
                            }
                            &:nth-child(4) {
                                width: 30%;
                            }
                        }
                    }
                }
            }
        }

        .action-modal {
            display: flex;
            flex-direction: row;
            flex: 1;
            justify-content: flex-end;
            align-items: flex-end;
            gap: 16px;
            min-height: 57px;

            button {
                min-width: 90px;
                height: 40px;
                box-shadow: none;
                outline: none;
                padding: 12px 24px;
            }
            .cancel {
                background: #F6F6F6;
                color: #8E91A0;
                font-size: 13px;
                font-weight: 400;
                line-height: 24px;
            }

            .submit {
                color: #FFF;
                font-size: 13px;
                font-weight: 400;
                line-height: 24px;
            }
        }
    }
}